Subject: Re: [PATCH net-2.6][NEIGH] Updating affected neighbours when about MAC address change

From: jamal <[email-masked]>
Date: Sun, 23 Dec 2007 07:46:15 -0500

On Sun, 2007-23-12 at 21:38 +0900, YOSHIFUJI Hideaki / 吉藤英明 wrote:
> In article <[email-masked]> (at Sun, 23 Dec 2007 14:24:00 +0200), "David Shwatrz" <[email-masked]> says:
> 
> > Regarding your answer;  I accept it and I will soon send a revised
> > version of this patch (making changes to
> >  arp_netdev_event() and ndisc_netdev_event().)
> > I had  IPv4 in mind, there is no reason that it will no be also in IPv6.
> 
> You should iterate all of ifa_list (for IPv4) / addr_list (for IPv6).
> For IPv6, we also have anycast (maintained by ac_list) as well.
> 

Hrm, how is this going to work for the case of multiple MACs on a
device? 
Changing one MAC address doesnt equate to issuing a grat arp with _the
new MAC_ for all ifa (given each MAC may be map to a different ifa) 

cheers,
jamal